#ifndef CORE_IMAGE_H
#define CORE_IMAGE_H

#include <core/Types.h>

typedef struct {
    u8* data;
    int width;
    int height;
    int channels;
} Image8;

typedef struct {
    u16* data;
    int width;
    int height;
    int channels;
} Image16;

bool initImage8(Image8* image, const char* path);
void destroyImage8(Image8* image);
bool initImage16(Image16* image, const char* path);
void destroyImage16(Image16* image);

#endif
